libmicrohttpd-0.9.33-2.el7.i686.rpm


Advertisement

Description

libmicrohttpd - Lightweight library for embedding a webserver in applications

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name libmicrohttpd
Package version 0.9.33
Package release 2.el7
Package architecture i686
Package type rpm
Installed size 118.16 KB
Download size 57.84 KB
Official Mirror mirror.centos.org
GNU libmicrohttpd is a small C library that is supposed to make it
easy to run an HTTP server as part of another application.
Key features that distinguish libmicrohttpd from other projects are:
* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Support for incremental processing of POST data
* Creates binary of only 25k (for now)
* Three different threading models

Alternatives

Package Version Architecture Repository
libmicrohttpd-0.9.33-2.el7.x86_64.rpm 0.9.33 x86_64 CentOS
libmicrohttpd - - -

Requires

Name Value
/sbin/ldconfig -
info -
libc.so.6(GLIBC_2.17) -
libdl.so.2 -
libgcrypt.so.11 -
libgcrypt.so.11(GCRYPT_1.2) -
libgnutls.so.28 -
libgnutls.so.28(GNUTLS_1_4) -
libgnutls.so.28(GNUTLS_3_0_0) -
libgpg-error.so.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.12) -
libpthread.so.0(GLIBC_2.2) -
rtld(GNU_HASH) -

Provides

Name Value
libmicrohttpd = 0.9.33-2.el7
libmicrohttpd(x86-32) = 0.9.33-2.el7
libmicrohttpd.so.10 -

Download

Type URL
Binary Package libmicrohttpd-0.9.33-2.el7.i686.rpm
Source Package libmicrohttpd-0.9.33-2.el7.src.rpm

Install Howto

Install libmicrohttpd rpm package:

# yum install libmicrohttpd

Files

Path
/usr/lib/libmicrohttpd.so.10
/usr/lib/libmicrohttpd.so.10.22.0
/usr/share/doc/libmicrohttpd-0.9.33/COPYING

Changelog

2014-01-24 - Daniel Mach <dmach@redhat.com> - 0.9.33-2
- Mass rebuild 2014-01-24
2014-01-14 - Václav Pavlín <vpavlin@redhat.com> - 0.9.33
- Update to latest uptsream release 0.9.33 due to
security issues.
Resolves: rhbz#1039393, rhbz#1039387
2013-12-27 - Daniel Mach <dmach@redhat.com> - 0.9.27-2
- Mass rebuild 2013-12-27
2013-05-06 - Václav Pavlín <vpavlin@redhat.com> - 0.9.27-1
- Update to latest uptsream release 0.9.27
2013-02-14 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
2013-01-08 - Václav Pavlín <vpavlin@redhat.com> - 0.9.24-1
- Update to latest uptsream release 0.9.24
2012-09-27 - Tim Niemueller <tim@niemueller.de> - 0.9.22-1
- Update to latest uptsream release 0.9.22
2012-07-19 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-01-13 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
2011-02-27 - Tim Niemueller <tim@niemueller.de> - 0.9.7-1
- Update to new upstream release 0.9.7
- Remove upstreamed patches

See Also

Package Description
libmicrohttpd-devel-0.9.33-2.el7.i686.rpm Development files for libmicrohttpd
libmicrohttpd-devel-0.9.33-2.el7.x86_64.rpm Development files for libmicrohttpd
libmicrohttpd-doc-0.9.33-2.el7.noarch.rpm Documentation for libmicrohttpd
libmng-1.0.10-14.el7.i686.rpm Library for Multiple-image Network Graphics support
libmng-1.0.10-14.el7.x86_64.rpm Library for Multiple-image Network Graphics support
libmng-devel-1.0.10-14.el7.i686.rpm Development files for the Multiple-image Network Graphics library
libmng-devel-1.0.10-14.el7.x86_64.rpm Development files for the Multiple-image Network Graphics library
libmnl-1.0.3-7.el7.i686.rpm A minimalistic Netlink library
libmnl-1.0.3-7.el7.x86_64.rpm A minimalistic Netlink library
libmnl-devel-1.0.3-7.el7.i686.rpm Development files for libmnl
libmnl-devel-1.0.3-7.el7.x86_64.rpm Development files for libmnl
libmnl-static-1.0.3-7.el7.i686.rpm Static development files for libmnl
libmnl-static-1.0.3-7.el7.x86_64.rpm Static development files for libmnl
libmodman-2.0.1-8.el7.i686.rpm A simple library for managing C++ modules (plug-ins)
libmodman-2.0.1-8.el7.x86_64.rpm A simple library for managing C++ modules (plug-ins)
Advertisement
Advertisement